Subject: Re: bug#65913: with-help-window arranges for 'inhibit-read-only' to be set to 't'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2023 16:56:30 +0300

> Date: Wed, 13 Sep 2023 13:26:51 +0000
> From: Heime <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>, [email-masked]
> 
> Docstrings have become so short at times that reading them is of no practical 
> use.

Only because you think everything can be learned from scratch by
reading only some more or less random doc strings.  That's not how
programming in Emacs Lisp should be learned.  There's a large Emacs
Lisp Reference manual, which has a separate section named "Read-Only
Buffers".  If you read it when you started working with read-only
buffers, you'd have found the inhibit-read-only variable described
there.

Our recommendation is to read the relevant parts of the ELisp manual
whenever you need for the first time work with a specific aspect of
Emacs Lisp.